#ifndef _INPUT_H_
#define _INPUT_H_

#include <iostream>

class Input
{
	bool mSaveLoading;
public:
	Input() : mSaveLoading(0) {}
	void Disable() { mSaveLoading = true; }
	void Enable() { mSaveLoading = false; }
	void Get(std::string &aInput);
	void WaitForKey();
};

#endif //Close _INPUT_H_